Search documentation of phoenix_kit

# PhoenixKitWeb.Routes.CustomerServiceRoutes (phoenix_kit v1.7.87)

Copy Markdown View Source

Tickets module routes.

Provides route definitions for support ticket management.

## Summary

### Functions

admin_locale_routes()

Returns quoted admin LiveView route declarations for the shared admin live_session (localized).

admin_routes()

Returns quoted admin LiveView route declarations for the shared admin live_session (non-localized).

generate(url_prefix)

Returns quoted code for tickets user routes (non-admin).

## Functions

# admin_locale_routes()

Returns quoted admin LiveView route declarations for the shared admin live_session (localized).

# admin_routes()

Returns quoted admin LiveView route declarations for the shared admin live_session (non-localized).

# generate(url_prefix)

Returns quoted code for tickets user routes (non-admin).

User-facing ticket routes are now included in `phoenix_kit_authenticated_routes/1` in `PhoenixKitWeb.Integration` for seamless navigation with other dashboard pages. This function returns an empty block for backward compatibility.